import 'package:flutter/material.dart';
import 'package:get/get.dart';
import '../../../core/utils/dimensions.dart';
import '../../../core/utils/my_color.dart';
import '../../../core/utils/style.dart';

class CardColumn extends StatelessWidget {
  final String header;
  final String body;
  final bool alignmentEnd;
  final bool isDate;
  final Color? textColor;

  const CardColumn(
      {Key? key,
      this.alignmentEnd = false,
      required this.header,
      this.isDate = false,
      this.textColor,
      required this.body})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment:
          alignmentEnd ? CrossAxisAlignment.end : CrossAxisAlignment.start,
      children: [
        Text(
          header.tr,
          style: regularDefault.copyWith(
              color: MyColor.getGreyText(), fontWeight: FontWeight.w600),
          overflow: TextOverflow.ellipsis,
        ),
        const SizedBox(
          height: 8,
        ),
        Text(body.tr,
            style: isDate
                ? regularDefault.copyWith(
                    fontStyle: FontStyle.italic,
                    color: textColor ?? MyColor.smallTextColor1,
                    fontSize: Dimensions.fontSmall)
                : regularDefault.copyWith(
                    color: textColor ?? MyColor.smallTextColor1))
      ],
    );
  }
}
